document.addEventListener('DOMContentLoaded', function () {
    // 获取所有视频和文本部分
    const videos = document.querySelectorAll('.scroll-video');
    const textSections = document.querySelectorAll('.text-section');
  
    // 创建IntersectionObserver，监听文本是否进入视口
    const textObserver = new IntersectionObserver((entries, observer) => {
      entries.forEach(entry => {
        if (entry.isIntersecting) {
          entry.target.classList.add('visible');
        }
      });
    }, {
      threshold: 0.1 // 当文本块10%进入视口时，触发显示动画
    });
  
    // 观察每个文本块
    textSections.forEach(section => {
      textObserver.observe(section);
    });
  
    // 控制视频的播放和暂停
    window.addEventListener('scroll', function () {
      videos.forEach(video => {
        const rect = video.getBoundingClientRect();
        const playThreshold = window.innerHeight * 0.6; // 当视频区域到达窗口 60% 的高度时播放
  
        if (rect.top <= playThreshold && rect.bottom >= 0) {
          video.play();
        } else {
          video.pause();
        }
      });
    });
  });
  