// 平滑滚动到指定区域
document.querySelectorAll('.sidenav a').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
        e.preventDefault(); // 阻止默认行为

        if (this.classList.contains('top-link')) {
            // 如果是“Top”链接，滚动到页面顶部
            window.scrollTo({
                top: 0,
                behavior: 'smooth'
            });
        } else {
            const targetId = this.getAttribute('href'); // 获取链接目标的ID
            const targetSection = document.querySelector(targetId); // 查找对应的DOM元素

            if (targetSection) {
                // 使用 scrollIntoView 实现平滑滚动
                targetSection.scrollIntoView({
                    behavior: 'smooth', // 平滑滚动效果
                    block: 'start' // 滚动到目标元素的顶部
                });
            }
        }
    });
});
